"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.contextMiddleware = void 0;
const http_auth_1 = require("./http-auth");
function contextMiddleware(req, res, next) {
    const info = {
        token: req.get('authorization'),
        headers: {
            localeCode: req.get('accept-language') || req.get('content-language') || req.get('language') || 'en_Us',
            appDomain: req.get('x-app-domain')
        }
    };
    (0, http_auth_1.setAuthToken)(req, { type: null, info });
    return next();
}
exports.contextMiddleware = contextMiddleware;
//# sourceMappingURL=http-context.js.map